CreateFeed - AWS Elemental Inference

CreateFeed

Creates a feed. The feed is the target for live streams being sent by the calling application. An example of a calling application is AWS Elemental MediaLive. After you create the feed, you can associate a resource with the feed.

Request Syntax

POST /v1/feed HTTP/1.1 Content-type: application/json { "name": "string", "outputs": [ { "description": "string", "name": "string", "outputConfig": { ... }, "status": "string" } ], "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

name

A name for this feed.

Type: String

Pattern: [a-zA-Z0-9]([a-zA-Z0-9-_]{0,126}[a-zA-Z0-9])?

Required: Yes

outputs

An array of outputs for this feed. Each output represents a specific Elemental Inference feature. For example, an output might represent the crop feature.

Type: Array of CreateOutput objects

Required: Yes

tags

If you want to include tags, add them now. You won't be able to add them later.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Required: No

Response Syntax

HTTP/1.1 202 Content-type: application/json { "arn": "string", "association": { "associatedResourceName": "string" }, "dataEndpoints": [ "string" ], "id": "string", "name": "string", "outputs": [ { "description": "string", "fromAssociation": boolean, "name": "string", "outputConfig": { ... }, "status": "string" } ], "status": "string", "tags": { "string" : "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

arn

A unique ARN that Elemental Inference assigns to the feed.

Type: String

association

The association for this feed. When you create the feed, this property is empty. You must associate a resource with the feed using AssociateFeed.

Type: FeedAssociation object

dataEndpoints

A unique ARN that Elemental Inference assigns to the feed.

Type: Array of strings

id

A unique ID that Elemental Inference assigns to the feed.

Type: String

Pattern: [a-z0-9]{19}

name

The name that you specified.

Type: String

Pattern: [a-zA-Z0-9]([a-zA-Z0-9-_]{0,126}[a-zA-Z0-9])?

outputs

Data endpoints that Elemental Inference assigns to the feed.

Type: Array of GetOutput objects

status

The current status of the feed. After creation of the feed has succeeded, the status will be AVAILABLE.

Type: String

Valid Values: CREATING | AVAILABLE | ACTIVE | UPDATING | DELETING | DELETED | ARCHIVED

tags

Any tags that you included when you created the feed.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict.

HTTP Status Code: 409

InternalServerErrorException

An internal server error occurred. This is a temporary condition and the request can be retried. If the problem persists, contact AWS Support.

HTTP Status Code: 500

ServiceQuotaExceededException

The request was rejected because it would exceed one or more service quotas for your account. Review your service quotas and either delete unused resources or request a quota increase.

HTTP Status Code: 402

TooManyRequestException

The request was denied due to request throttling. Too many requests have been made within a given time period. Reduce the frequency of requests and use exponential backoff when retrying.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check the error message for details about which parameter or field is invalid and correct the request before retrying.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: